#include <stdint.h>
#include <QDateTime>

#ifndef CAMSTRUCT_H
#define CAMSTRUCT_H

struct CAM
{
    char Model[40];

    double ChipW;
    double ChipH;
    double PixelW;
    double PixelH;
    uint32_t ImageW;
    uint32_t ImageH;
    uint32_t ImageB;
    uint32_t binx;
    uint32_t biny;

    uint32_t ImgW;
    uint32_t ImgH;
    uint32_t ImgB;
    uint32_t ImgC;
    uint32_t ShowImgW;
    uint32_t ShowImgH;
    uint32_t ShowImgB;
    uint32_t ShowImgC;

    uint32_t Frame;

    unsigned char *ImgData;
    unsigned char *ShowImgData;
};

extern struct CAM CamInfo;
extern struct CAM CamInfo_2;

#endif // CAMSTRUCT_H
