#include "singlemodethread_2.h"
#include "qhyccd.h"
#include <QDateTime>
#include <cstdio>
#include <QDebug>
#include <QMutex>

extern qhyccd_handle *camhandle_2;

extern QMutex ShowImgMutex_2;

SingleModeThread_2::SingleModeThread_2(QObject *parent) :
    QThread(parent)
{

}

void SingleModeThread_2::run()
{
    uint32_t ret = QHYCCD_ERROR;

    while(ret == QHYCCD_ERROR)
    {
        ret = GetQHYCCDSingleFrame(camhandle_2, &CamInfo_2.ImgW, &CamInfo_2.ImgH, &CamInfo_2.ImgB, &CamInfo_2.ImgC, CamInfo_2.ImgData);
    }

    if(ShowImgMutex_2.tryLock())
    {
        memcpy(CamInfo_2.ShowImgData, CamInfo_2.ImgData, CamInfo_2.ImgW*CamInfo_2.ImgH*CamInfo_2.ImgB*CamInfo_2.ImgC/8);
        CamInfo_2.ShowImgW = CamInfo_2.ImgW;
        CamInfo_2.ShowImgH = CamInfo_2.ImgH;
        CamInfo_2.ShowImgB = CamInfo_2.ImgB;
        CamInfo_2.ShowImgC = CamInfo_2.ImgC;
        emit gotImageData_2();

        ShowImgMutex_2.unlock();
    }

    CamInfo_2.Frame ++;
}
